Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AggregationArgument

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.AggregationArgument

Direct Known Subclasses:
  ConfigurationParameters

public abstract class AggregationArgument
extends BaseObject

An abstract class that specifies actions that affect an aggregation operation over a hierarchy. An `AggregationArgument` is associated with an `Aggregation`.

An instance of a `ConfigurationParameters`, which is the concrete subclass of `AggregationArgument`, has `Parameter` objects. Each `Parameter` specifies an action that affects the aggregation.

See Also:
  `AggregationDefinition`, `Parameter`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AggregationArgument(BaseObject input)` Creates an `AggregationArgument` for the specified `Aggregation`.

Method Summary
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `AggregationArgument`.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregationArgument

    public AggregationArgument(BaseObject input)

  Creates an `AggregationArgument` for the specified `Aggregation`.
  Parameters:
    `input` - The `Aggregation` to own the `AggregationArgument`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `AggregationArgument`.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    An XML `String` that represents the `AggregationArgument`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.